<template>
  <div class="page">
    <h1>WEBPACK PROJECT</h1>
    <img class="image" src="@/assets/images/webpack-icon.svg" />
  </div>
</template>

<script>
export default {
  name: 'Page'
}
</script>

<style lang="scss" scope>
.page {
  box-sizing: border-box;
  width: 100%;
  min-height: 100%;
  padding: 50px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  h1 {
    position: relative;
    font-family: Roboto;
    font-size: 4vw;
    color: rgb(71, 71, 71);
    margin-top: 0;

    &::before {
      content: '';
      animation: highlight 6s linear infinite;
      position: absolute;
      top: 0;
      left: 0;
      height: 100%;
      width: 2vw;
      background-color: #ffffffb4;
      transform: translateX(-4vw) skewX(-45deg);
    }
  }

  .image {
    width: 25vw;
    height: 25vw;
    object-fit: contain;
    animation: rotate 6s ease infinite;
  }
}

@keyframes rotate {
  from {
    transform: rotate(0deg);
  }

  50% {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}

@keyframes highlight {
  from {
    transform: translateX(-4vw) skewX(-45deg);
  }

  90% {
    transform: translateX(-4vw) skewX(-45deg);
  }

  to {
    transform: translateX(37vw) skewX(-45deg);
  }
}
</style>
